# EFCL-CustomProfiles v4.0.1
The mod had a refactor, now is more easy to fix issues (to me) and more easy to create new profiles (you).

Inspired by the method used by @TheDevilsrevenge but with some important changes to make it work as expected.

Please note you can't move these profiles to this mod without do some changes, because you will see a lot of errors.

On the other hand, I have included a 'dev' version of the playground so that you can use it yourself.

The database management is as follows:

```
modfolder/
└───db
    └───dev
        └───Example
            ├───BEAR/
                ├───Inventory.json  <- Inventory items.
                ├───Skills.json     <- Skills and masteries.
                └───Suits.json      <- Suits unlocked
            ├───USEC/
                ├───Inventory.json  <- Inventory items.
                ├───Skills.json     <- Skills and masteries.
                └───Suits.json      <- Suits unlocked
            ├───Bonuses.json        <- Common config: Stash size
            ├───Hideout.json        <- Common config: Hideout modules build.
            ├───locale.json         <- Will be used in a future update for the description of the profile.
            ├───Traders.json        <- Common config: Traders loyalty and unlocks info.
            └───WeaponPresets.json  <- Common config: If you want to add any weapon presets, you can add it here.
```

If you want to make a profile you can use the dev folder.
Pay attention to config.jsonc file, because you need to enable the devProfile.
All file are required to make it work.

You can find the content of the profiles in:

```
SPT(Root)
└───SPT_Data
    └───Server
        └───database
            └───templates
                └───profiles.json
```